Bug 197819 - x11/tilda segfaults on FreeBSD 10.1 RELEASE
Summary: x11/tilda segfaults on FreeBSD 10.1 RELEASE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-19 13:28 UTC by mzs_47
Modified: 2015-02-23 23:21 UTC (History)
0 users

See Also:


Attachments
tilda fix + bump port revision (1.81 KB, patch)
2015-02-22 23:00 UTC, Rodrigo Osorio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mzs_47 2015-02-19 13:28:33 UTC
I installed tilda using pkg on FreeBSD 10.1 RELEASE. However, it crashes displaying "Segmentation fault (core dumped)"

I tried installing tilda from the ports and I got the same error.

Tilda version: 0.9.6
FreeBSD: FreeBSD freebsd10-64bit 10.1-RELEASE FreeBSD 10.1-RELEASE #0 r274401
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2015-02-19 16:45:37 UTC
Fix Summary and assign.
Comment 2 Rodrigo Osorio freebsd_committer 2015-02-22 23:00:18 UTC
Created attachment 153341 [details]
tilda fix + bump port revision

Incorporate an existing patch coming from mandriva
https://qa.mandriva.com/show_bug.cgi?id=58153

Please try this patch and let me know if it's OK
for commit.
Comment 3 Rodrigo Osorio freebsd_committer 2015-02-23 23:21:07 UTC
committed thanks
Comment 4 commit-hook freebsd_committer 2015-02-23 23:21:28 UTC
A commit references this bug:

Author: rodrigo
Date: Mon Feb 23 23:20:57 UTC 2015
New revision: 379716
URL: https://svnweb.freebsd.org/changeset/ports/379716

Log:
  Fix segfault with tilda
  Bump port revision

  PR:		197819
  Submitted by:	<mzs_47@yahoo.co.in>
  Obtained from:	mandriva

Changes:
  head/x11/tilda/Makefile
  head/x11/tilda/files/
  head/x11/tilda/files/patch-key_grabber.c